<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\cabe;
use App\ubi;
use App\tomat;
use App\andaliman;
use App\jagung;
use App\kentang;
use App\kacang;
use App\beli;
use App\pesan;
use Illuminate\Support\Facades\Input;
use App\Http\Requests;
use App\Http\Requests\beli\StoreRequest;
use App\Http\Requests\pesan\UpdateRequest;
use Image;

class pesancontroller extends Controller
{
    public function index()
    {
        $pesans = pesan::all();
        return view('Costumer.HalamanMonitoring.pesan', compact('pesans'));
    }

    public function costsayur()
    {
        $sayurs = sayur::all();
        return view('Costumer.HalamanMonitoring.monitoringsayur', compact('sayurs'));
    }
    public function costcabe()
    {
        $cabes = cabe::all();
        return view('Costumer.MonitoringCabe.monitoringcabe', compact('cabes'));
    }
    public function costubi()
    {
        $ubis = ubi::all();
        return view('Costumer.MonitoringUbi.monitoringubi', compact('ubis'));
    }
    public function costtomat()
    {
        $tomats = tomat::all();
        return view('Costumer.HalamanTomat.index', compact('tomats'));
    }
    public function costandaliman()
    {
        $andalimans = andaliman::all();
        return view('Costumer.MonitoringAndaliman.index', compact('andalimans'));
    }
    public function costjagung()
    {
        $jagungs = jagung::all();
        return view('Costumer.HalamanJagung.index', compact('jagungs'));
    }
    public function costkentang()
    {
        $kentangs = kentang::all();
        return view('Costumer.MonitoringKentang.monitoringkentang', compact('kentangs'));
    }
    public function costkacang()
    {
        $kacangs = kacang::all();
        return view('Costumer.MonitoringKacang.index', compact('kacangs'));
    }



    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

        $pesans = pesan::all();
        return view('Costumer.HalamanMonitoring.create_pesan', compact('pesans'));
        //return view('Costumer.HalamanMonitoring.beli');
    }

    public function siram()
    {
        return view('Admin.HalamanMonitoring.siram');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store(Request $request)
    {
        $pesans = new pesan();
        $pesans->username = $request->username;
//        $belis->id_menu = $request->id_menu;
        $pesans->pesan = $request->pesan;
//        $belis->harga = $request->harga;

//        $belis->total_harga = $request->total_harga;
        $pesans->save();
        return redirect()->route('pesan.index')->with('alert-success', 'Data Berhasil Disimpan.');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $pesans = pesan::findOrFail($id);
        return view('Costumer.HalamanMonitoring.pesan', compact('pesans'));
    }



    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $pesans = pesan::findOrFail($id);
        return view('Admin.HalamanMonitoring.edit', compact('pesans'));
    }



    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(UpdateRequest $request, $id)
    {

        $pesans = pesan::findOrFail($id);
        $pesans->username = $request->username;
        $pesans->pesan = $request->pesan;

        $pesans->save();
        return redirect()->route('pesan.index')->with('alert-success', 'Data Berhasil Diubah.');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $pesans = pesan::findOrFail($id);
        $pesans->delete();
        return redirect()->route('pesan.index')->with('alert-success', 'Data Berhasil Dihapus.');
    }
}
